Cyberduck Mountain Duck CLI

#6211 closed defect (fixed)

Incorrect Copy URLs for Eucalyptus Walrus Services

Reported by: chimpeenuts Owned by: dkocher
Priority: normal Milestone: 4.2
Component: eucalyptus Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

Auto-generated URLs do not correctly use Walrus endpoint and port #.

To re-create:

  1. Connect to Walrus service (community: ecc.eucalyptus.com:8773/services/Walrus)
  2. Select a bucket, right-click and choose Copy URL->HTTP URL

The URL generated does not include the port # or the /services/Walrus endpoint.

  • Erroring URL: ecc.eucalyptus.com/chimpeenuts-bucket
  • Valid URL: ecc.eucalyptus.com:8773/services/Walrus/chimpeenuts-bucket

The same thing is true for all the URLs when a file under a bucket is selected. Here's an example of the basic one: Invalid Cyberduck URL: ecc.eucalyptus.com/chimpeenuts-bucket/Argentina.gif What the URL should be: ecc.eucalyptus.com:8773/services/Walrus/chimpeenuts-bucket/Argentina.gif

See attached screenshots.

Attachments (2)

Screen shot 2011-09-08 at 8.49.34 AM.png (7.5 KB) - added by chimpeenuts on Sep 8, 2011 at 12:56:22 PM.
Invalid Bucket URL
Screen shot 2011-09-08 at 8.56.25 AM.png (54.0 KB) - added by chimpeenuts on Sep 8, 2011 at 12:56:49 PM.
Invalid File URL

Download all attachments as: .zip

Change History (5)

Changed on Sep 8, 2011 at 12:56:22 PM by chimpeenuts

Invalid Bucket URL

Changed on Sep 8, 2011 at 12:56:49 PM by chimpeenuts

Invalid File URL

comment:1 Changed on Nov 6, 2011 at 10:52:33 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Nov 6, 2011 at 10:55:33 AM by dkocher

  • Milestone set to 4.1.4
  • Status changed from new to assigned

We make the assumptions that as in AWS S3, a file is also available over the HTTP default port for anonymous users (if the ACL allows this) and therefore always add this URL for the HTTP URL. We should possibly add the original URL with the port the browser is connected to as well (443 in case of AWS, custom port for Eucalyptus installations).

comment:3 Changed on Nov 13, 2011 at 4:41:08 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r9198.

Note: See TracTickets for help on using tickets.
swiss made software